%{!?scl:%global pkg_name %{name}}
%{?scl:%scl_package rubygem-%{gem_name}}
%global gem_name bacon

%if !("%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16)
%global gem_dir /usr/lib/ruby/gems/1.8
%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}
%global gem_libdir %{gem_instdir}/lib
%global gem_cache %{gem_dir}/cache/%{gem_name}-%{version}.gem
%global gem_spec %{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
%global gem_docdir %{gem_dir}/doc/%{gem_name}-%{version}
%endif

Summary:        A ruby-based testing framework
Name:           %{?scl_prefix}rubygem-%{gem_name}
Version:        1.1.0
Release:        19%{?dist}
Group:          Development/Languages
License:        MIT
URL:            http://chneukirchen.org/repos/bacon
Source0:        http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
%if "%{?scl}" == "ruby193"
Requires: %{?scl_prefix}ruby-wrapper
BuildRequires: %{?scl_prefix}ruby-wrapper
%endif
%if 0%{?fedora} > 18  || 0%{?rhel} > 6
Requires: ruby(release) = 2.0.0
BuildRequires: ruby(release) = 2.0.0
BuildRequires: rubygems-devel
%else
%if "%{?scl}" == "ruby193" || 0%{?fedora} > 16
Requires: %{?scl_prefix}ruby(abi) = 1.9.1
BuildRequires: %{?scl_prefix}ruby(abi) = 1.9.1
BuildRequires:  %{?scl_prefix}rubygems-devel
%else
Requires: ruby(abi) = 1.8
BuildRequires: ruby(abi) = 1.8
%endif
%endif
Requires: %{?scl_prefix}rubygems
BuildRequires: %{?scl_prefix}rubygems
BuildArch:      noarch
Provides:       %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Bacon is a small and lightweigt RSpec clone, providing essential
spec framework features.

%package doc
Summary: Documentation for %{pkg_name}
Group: Documentation

Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}

%description doc
This package contains documentation for %{pkg_name}.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{gem_dir}
%{?scl:scl enable %scl "}
gem install --local --install-dir $RPM_BUILD_ROOT%{gem_dir} \
            --force --rdoc %{SOURCE0}
%{?scl:"}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mv $RPM_BUILD_ROOT%{gem_dir}/bin/* $RPM_BUILD_ROOT/%{_bindir}
rmdir $RPM_BUILD_ROOT%{gem_dir}/bin
find $RPM_BUILD_ROOT%{gem_instdir}/bin -type f |xargs chmod a+x

# Derop weird non-utf8 characters in e-mail framework
LANG=C sed 's/\xc2//g' -i $RPM_BUILD_ROOT%{gem_instdir}/ChangeLog


%check
pushd $RPM_BUILD_ROOT%{gem_instdir}
%{?scl:scl enable %scl "}
bin/bacon -Ilib:. --automatic --quiet
%{?scl:"}
popd


%files
%{_bindir}/bacon
%dir %{gem_instdir}
%dir %{gem_instdir}/bin
%{gem_instdir}/bin/bacon
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%{gem_instdir}/Rakefile
%{gem_instdir}/test
%doc %{gem_instdir}/README
%doc %{gem_instdir}/RDOX
%doc %{gem_instdir}/COPYING
%doc %{gem_instdir}/ChangeLog
%doc %{gem_docdir}


%changelog
* Mon May 05 2014 Jason Montleon <jmontleo@redhat.com> 1.1.0-19
- update bacon (Build)Requires to work with RHEL 7 (jmontleo@redhat.com)

* Thu Sep 12 2013 Jason Montleon <jmontleo@redhat.com> 1.1.0-18
- add ruby193-ruby-wrapper deps 

* Tue Sep 10 2013 Jason Montleon <jmontleo@redhat.com> 1.1.0-17
- fix up spec file for scl and non-scl builds (jmontleo@redhat.com)

* Tue Sep 10 2013 Jason Montleon <jmontleo@redhat.com> 1.1.0-16
- add non-scl globals (jmontleo@redhat.com)

* Tue Sep 10 2013 Jason Montleon <jmontleo@redhat.com> 1.1.0-15
- add more globals (jmontleo@redhat.com)

* Tue Sep 10 2013 Jason Montleon <jmontleo@redhat.com> 1.1.0-14
- fix global (jmontleo@redhat.com)

* Tue Sep 10 2013 Jason Montleon <jmontleo@redhat.com> 1.1.0-13
- add globals for rhel (jmontleo@redhat.com)

* Tue Sep 10 2013 Jason Montleon <jmontleo@redhat.com> 1.1.0-12
- fix build dependencies (jmontleo@redhat.com)

* Tue Sep 10 2013 Jason Montleon <jmontleo@redhat.com> 1.1.0-11
-  fix non-scl deps (jmontleo@redhat.com)
- update rubygems to include wrapper BuildRequires and Requires
  (jmontleo@redhat.com)
- remove ruby193 prefix from rubygem directories (jmontleo@redhat.com)

* Wed May 08 2013 Brad Buckingham <bbuckingham@redhat.com> 1.1.0-10
- rebuild for sat6 mdp1

* Wed Feb 27 2013 Miroslav Suchý <msuchy@redhat.com> 1.1.0-9
- new package built with tito

* Wed Jul 25 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.1.0-8
- Specfile cleanup

* Mon Apr 02 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.1.0-7
- Rebuilt for scl.

* Tue Jan 24 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.1.0-6
- Rebuilt for Ruby 1.9.3.
- Removed unneeded %%defattr and %%clean section.
- Introduced -doc subpackage.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 29 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 1.1.0-2
- Run tests
- Drop useless macro

* Thu Jun 25 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 1.1.0-1
- Package generated by gem2rpm
- Fix up plist
- Make rpmlint happy
